<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected parameters:
          managedBean : name of the main bean used in the page including this page
      -->
    <h:panelGroup rendered="#{!automatonManager.displayTestResults}">
        <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
            <ui:param name="panel_id" value="messageConfigurationPanel"/>
            <ui:define name="panel_title">#{messages['gazelle.pam.PatientConfiguration']}</ui:define>
            <ui:insert name="helpText"/>

            <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                        rendered="#{managedBean.displayDDSPanel}">
                <ui:param name="panel_id" value="ddsDiv"/>
                <ui:define name="panel_title">#{messages['gazelle.simulator.pam.PatientGenerationWithDds']}</ui:define>
                <ui:include src="/patient/patientGenerator.xhtml">
                    <ui:param name="patientGeneratorBean" value="#{managedBean}"/>
                    <ui:param name="displayAllCriteria" value="#{false}"/>
                    <ui:param name="ddsEndpoint"
                              value="#{managedBean.ddsWsEndpoint}"/>
                </ui:include>
                <s:decorate template="/layout/form/_checkbox.xhtml">
                    <h:selectBooleanCheckbox value="#{managedBean.useIdsFromDDS}"/>
                    #{messages['gazelle.PAMSimulator.UseIDsFromDDS']}
                </s:decorate>
                <ui:define name="panel_footer">
                    <ui:insert name="ddsButtons"/>
                </ui:define>
            </s:decorate>
            <ui:insert name="selectedPatient"/>
            <h:panelGroup rendered="#{!automatonManager.displayTestResults}">
                <ui:insert name="additionalPanels"/>
            </h:panelGroup>
        </ui:decorate>
    </h:panelGroup>
</ui:composition>